<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <input type="text" v-model='search' placeholder="Cari...">
        <ul v-for='post in filterList'>
            <li>{{ post }}</li>
        </ul>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var vm = new Vue ({
            el: '#app',
            data: {
                search: '',
                books: [
                    'Kalkulus Dasar',
                    'Fisika Dasar',
                    'Aljabar Linier Elementer',
                    'Aljabar Abstrak',
                    'Algoritma Pemrograman'
                ]
            },
            computed: {
                filterList(){
                    return this.books.filter(post =>{
                        return post.toLowerCase().includes(this.search.toLowerCase())
                    })
                }
            }
        })
    </script>
</body>
</html>